IPSW-ENT(1)

NAME
ipsw-ent - Manage and search entitlements database

SYNOPSIS
ipsw ent [flags]

DESCRIPTION
Manage and search entitlements database

OPTIONS
--dry-run[=false]
    Show what would be replaced without making changes

-f, --file=""
    Search for file path pattern

--file-only[=false]
    Only output file paths

-h, --help[=false]
    help for ent

--input=[]
    Folders of MachOs to analyze

--ipsw=[]
    IPSWs to process

-k, --key=""
    Search for entitlement key pattern

--limit=100
    Limit number of results

--pg-database=""
    PostgreSQL database name

--pg-host=""
    PostgreSQL host

--pg-password=""
    PostgreSQL password

--pg-poolmode=""
    PostgreSQL pool mode (session, transaction, statement, or empty for no pooling)

--pg-port="5432"
    PostgreSQL port

--pg-sslmode="require"
    PostgreSQL SSL mode (disable, require, verify-ca, verify-full)

--pg-user=""
    PostgreSQL user

--replace[=false]
    Replace older builds of the same iOS version with newer builds

--replace-strategy="auto"
    Replacement strategy: auto, prompt, force

--sqlite=""
    Path to SQLite database

--stats[=false]
    Show database statistics

-v, --value=""
    Search for entitlement value pattern

--version=""
    Filter by iOS version

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Create SQLite database from IPSW
    ❯ ipsw ent --sqlite entitlements.db --ipsw iPhone16,1_18.2_22C150_Restore.ipsw
    # Create database from multiple IPSWs
    ❯ ipsw ent --sqlite entitlements.db --ipsw *.ipsw
    # Create PostgreSQL database from IPSW (for Supabase)
    ❯ ipsw ent --pg-host db.xyz.supabase.co --pg-user postgres --pg-password your-password --pg-database postgres --ipsw iPhone16,1_18.2_22C150_Restore.ipsw
    # Search for entitlement key
    ❯ ipsw ent --sqlite entitlements.db --key platform-application
    # Search for entitlement value
    ❯ ipsw ent --sqlite entitlements.db --value LockdownMode
    # Search for specific file
    ❯ ipsw ent --sqlite entitlements.db --file WebContent
    # Filter by iOS version and search
    ❯ ipsw ent --sqlite entitlements.db --version 18.2 --key sandbox
    # Show database statistics
    ❯ ipsw ent --sqlite entitlements.db --stats
    # Search PostgreSQL database (Supabase)
    ❯ ipsw ent --pg-host db.xyz.supabase.co --pg-user postgres --pg-password your-password --pg-database postgres --key sandbox
    # Replace older iOS builds with newer ones
    ❯ ipsw ent --sqlite entitlements.db --ipsw iPhone16,1_26.0_22G87_Restore.ipsw --replace
    # Preview what would be replaced
    ❯ ipsw ent --sqlite entitlements.db --ipsw iPhone16,1_26.0_22G87_Restore.ipsw --replace --dry-run

SEE ALSO
ipsw(1)

HISTORY
14-Sep-2025 Auto generated by spf13/cobra